%define upstream_name msgpack-python

%define python3 1

Name:           python-msgpack
Version:        0.4.6
Release:        %mkrel 3
Summary:        MessagePack (de)serializer
Group:          Development/Python
License:        LGPL
URL:            https://pypi.python.org/pypi/msgpack-python
Source0:        https://pypi.python.org/packages/source/m/msgpack-python/msgpack-python-%{version}.tar.gz
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)

%description
MessagePack is a fast, compact binary serialization format, suitable for
similar data to JSON. This package provides CPython bindings for reading and
writing MessagePack data.

%if %python3
%package -n python3-msgpack
Summary:	A Python command line parser inspired by optparse
Group:          Development/Python

BuildRequires:  pkgconfig(python3)
BuildRequires:	pythonegg(3)(setuptools)

%description -n python3-msgpack
The argparse module makes writing command line tools in Python easy.
Just briefly describe your command line interface and argparse will
take care of the rest, including:

* parsing the arguments and flags from ``sys.argv``
* converting arg strings into objects for your program
* formatting and printing any help messages
* and much more ... 

For those familiar with the optparse module from the Python standard
library, argparse improves on this module in a number of ways,
including:

* handling positional arguments
* supporting sub-commands
* allowing alternative option prefixes like ``+`` and ``/``
* handling zero-or-more and one-or-more style arguments
* producing more informative usage messages
* providing a much simpler interface for custom types and actions

%endif

%prep
%setup -q -n %{upstream_name}-%{version}

%if %python3
cp -a . %{py3dir}
%endif

%build
%py2_build

%if %python3
%py3_build
%endif

%install
%py2_install

%if %python3
%py3_install
%endif

%files
%doc COPYING README.rst
%{python2_sitearch}/msgpack
%{python2_sitearch}/msgpack_python-%{version}-*.egg-info

%if %python3
%files -n python3-msgpack
%{python3_sitearch}/msgpack
%{python3_sitearch}/msgpack_python-%{version}-*.egg-info
%endif



%changelog
* Fri Feb 12 2016 umeabot <umeabot> 0.4.6-3.mga6
+ Revision: 958624
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 daviddavid <daviddavid> 0.4.6-2.mga6
+ Revision: 887257
- rebuild for python 3.5
- use new python macros

* Thu Jun 25 2015 guillomovitch <guillomovitch> 0.4.6-1.mga6
+ Revision: 842849
- new version 0.4.6

* Mon Oct 20 2014 tv <tv> 0.4.2-6.mga5
+ Revision: 792040
- add python3 support

* Wed Oct 15 2014 umeabot <umeabot> 0.4.2-5.mga5
+ Revision: 747692
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.4.2-4.mga5
+ Revision: 729136
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.4.2-3.mga5
+ Revision: 688163
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Sun Mar 30 2014 guillomovitch <guillomovitch> 0.4.2-1.mga5
+ Revision: 610329
- new version 0.4.2

* Sun Mar 02 2014 guillomovitch <guillomovitch> 0.4.1-1.mga5
+ Revision: 598639
- new version 0.4.1

* Tue Feb 04 2014 guillomovitch <guillomovitch> 0.4.0-1.mga5
+ Revision: 582112
- new version 0.4.0

* Tue Oct 22 2013 umeabot <umeabot> 0.3.0-3.mga4
+ Revision: 543772
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.3.0-2.mga4
+ Revision: 498948
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Aug 20 2013 guillomovitch <guillomovitch> 0.3.0-1.mga4
+ Revision: 468148
- imported package python-msgpack

